| Home | Libraries | People | FAQ | More

###### value::operator= (13 of 24 overloads)

Assignment.

###### Synopsis

    value&
    operator=(
        string const& s);

###### Description

Replace `*this` with a copy of the string `s`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Complexity

Linear in the sum of sizes of `*this` and `s`

###### Parameters

Name | Description
--- | ---
`s` | The new string.